Subject: bug#55972: 28.1; Package quickstart generated for large number of packages generates byte-code string larger than 64K, triggering bytecode overflow error

From: Stefan Monnier <[email-masked]>
Date: Wed, 13 Sep 2023 10:58:54 -0400

> I have no idea how I would split the autoloads into two parts.  Is there
> some mechanism, say ;;;###autoload[external] / ;;;###autoload[internal],
> that would be respected by `loaddefs-generate' and/or code that uses that?

The new `loaddefs-gen.el` does offer something for that, yes, but that's
only for Emacs≥29, so until Org support older Emacsen you'd have to
pregenerate that "internal autoloads" file "by hand" (and even keep it
in the Git until `elpa.gnu.org` upgrades to a version of Debian that has
Emacs-29, i.e. presumably Debian 13 aka Trixie around 2025).

        Stefan